org.keycloak.storage.federated

## Interface UserFederatedStorageProvider.Streams

- All Superinterfaces:
    Provider, UserAttributeFederatedStorage, UserAttributeFederatedStorage.Streams, UserBrokerLinkFederatedStorage, UserBrokerLinkFederatedStorage.Streams, UserConsentFederatedStorage, UserConsentFederatedStorage.Streams, UserFederatedStorageProvider, UserFederatedUserCredentialStore, UserFederatedUserCredentialStore.Streams, UserGroupMembershipFederatedStorage, UserGroupMembershipFederatedStorage.Streams, UserNotBeforeFederatedStorage, UserRequiredActionsFederatedStorage, UserRequiredActionsFederatedStorage.Streams, UserRoleMappingsFederatedStorage, UserRoleMappingsFederatedStorage.Streams
  All Known Implementing Classes:
    JpaUserFederatedStorageProvider
  Enclosing interface:
    UserFederatedStorageProvider

      public static interface UserFederatedStorageProvider.Streams
      extends UserFederatedStorageProvider, UserAttributeFederatedStorage.Streams, UserBrokerLinkFederatedStorage.Streams, UserConsentFederatedStorage.Streams, UserFederatedUserCredentialStore.Streams, UserGroupMembershipFederatedStorage.Streams, UserRequiredActionsFederatedStorage.Streams, UserRoleMappingsFederatedStorage.Streams

  The `UserFederatedStorageProvider.Streams` interface makes all collection-based methods in `UserFederatedStorageProvider` default by providing implementations that delegate to the `Stream`-based variants instead of the other way around.

  It allows for implementations to focus on the `Stream`-based approach for processing sets of data and benefit from the potential memory and performance optimizations of that approach.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.storage.federated.UserFederatedStorageProvider

      `UserFederatedStorageProvider.Streams`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default List<String>` | `getStoredUsers(RealmModel realm, int first, int max)`
    `Stream<String>` | `getStoredUsersStream(RealmModel realm, Integer first, Integer max)` Obtains the ids of all federated users in the realm.

    - ### Methods inherited from interface org.keycloak.storage.federated.UserFederatedStorageProvider

      `getStoredUsersCount, preRemove, preRemove, preRemove, preRemove, preRemove, preRemove, preRemove, preRemove`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserNotBeforeFederatedStorage

      `getNotBeforeOfUser, setNotBeforeForUser`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserAttributeFederatedStorage.Streams

      `getUsersByUserAttribute, getUsersByUserAttributeStream`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserAttributeFederatedStorage

      `getAttributes, removeAttribute, setAttribute, setSingleAttribute`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserBrokerLinkFederatedStorage.Streams

      `getFederatedIdentities, getFederatedIdentitiesStream`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserBrokerLinkFederatedStorage

      `addFederatedIdentity, getFederatedIdentity, getUserByFederatedIdentity, preRemove, removeFederatedIdentity, updateFederatedIdentity`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserConsentFederatedStorage.Streams

      `getConsents, getConsentsStream`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserConsentFederatedStorage

      `addConsent, getConsentByClient, revokeConsentForClient, updateConsent`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserFederatedUserCredentialStore.Streams

      `getStoredCredentials, getStoredCredentialsByType, getStoredCredentialsByTypeStream, getStoredCredentialsStream`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserFederatedUserCredentialStore

      `createCredential, getStoredCredentialById, getStoredCredentialByNameAndType, removeStoredCredential, updateCredential`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserGroupMembershipFederatedStorage.Streams

      `getGroups, getGroupsStream, getMembership, getMembershipStream`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserGroupMembershipFederatedStorage

      `joinGroup, leaveGroup`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserRequiredActionsFederatedStorage.Streams

      `getRequiredActions, getRequiredActionsStream`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserRequiredActionsFederatedStorage

      `addRequiredAction, removeRequiredAction`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserRoleMappingsFederatedStorage.Streams

      `getRoleMappings, getRoleMappingsStream`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserRoleMappingsFederatedStorage

      `deleteRoleMapping, grantRole`

- - ### Method Detail

    - #### getStoredUsers

          default List<String> getStoredUsers(RealmModel realm,
                                              int first,
                                              int max)

      Specified by:
        `getStoredUsers` in interface `UserFederatedStorageProvider`

    - #### getStoredUsersStream

          Stream<String> getStoredUsersStream(RealmModel realm,
                                              Integer first,
                                              Integer max)

      Description copied from interface: `UserFederatedStorageProvider`
      Obtains the ids of all federated users in the realm.
      Specified by:
        `getStoredUsersStream` in interface `UserFederatedStorageProvider`
      Parameters:
        `realm` - a reference to the realm.
        `first` - first result to return. Ignored if negative or `null`.
        `max` - maximum number of results to return. Ignored if negative or `null`.
      Returns:
        a non-null `Stream` of federated user ids.

Copyright © 2021 JBoss by Red Hat. All rights reserved.